about summary refs log tree commit diff
path: root/test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-07-07 17:00:14 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2013-07-07 17:00:14 +0000
commit4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0 (patch)
tree6effecc25eeea480879836d37986a23db79486e4 /test
parent8bc04132312c3602ff99706dae49677aec0b2041 (diff)
downloadnetpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.tar.gz
netpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.tar.xz
netpbm-mirror-4ce73a575f35b9c71b373c8176a2f8e70d4b1bb0.zip
Add 'testrandom', use it instead of pgmnoise --testrandom (code for which was never released) in the tests
git-svn-id: http://svn.code.sf.net/p/netpbm/code/trunk@1976 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test')
-rw-r--r--test/all-in-place.ok2
-rw-r--r--test/pgmcrater.test5
-rw-r--r--test/pgmnoise.test4
-rw-r--r--test/ppmforge.test5
-rwxr-xr-xtest/ppmpat.test5
-rw-r--r--test/ppmrough.test5
6 files changed, 11 insertions, 15 deletions
diff --git a/test/all-in-place.ok b/test/all-in-place.ok
index 1510f2e7..ca8ad8c3 100644
--- a/test/all-in-place.ok
+++ b/test/all-in-place.ok
@@ -324,13 +324,13 @@ tgatoppm: ok
 thinkjettopbm: ok
 tifftopnm: ok
 wbmptopbm: ok
+winicontopam: ok
 winicontoppm: ok
 xbmtopbm: ok
 ximtoppm: ok
 xpmtoppm: ok
 xvminitoppm: ok
 xwdtopnm: ok
-winicontopam: ok
 ybmtopbm: ok
 yuvsplittoppm: ok
 yuvtoppm: ok
diff --git a/test/pgmcrater.test b/test/pgmcrater.test
index e8df9a23..e6942cee 100644
--- a/test/pgmcrater.test
+++ b/test/pgmcrater.test
@@ -1,6 +1,5 @@
 #! /bin/bash
 # This script tests: pgmcrater
-# Also requires: pgmnoise
 
 # This test is sensitive to differences in floating point math.
 # With GCC slight results start to appear with -number 75 in
@@ -14,7 +13,7 @@
 # The slight differences in the image file are not discernable by
 # the naked eye.
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Should print: 3828822912 65551
@@ -25,5 +24,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/pgmnoise.test b/test/pgmnoise.test
index 8ee2fccc..60d06510 100644
--- a/test/pgmnoise.test
+++ b/test/pgmnoise.test
@@ -5,7 +5,7 @@
 # We first check whether random number generator is glibc rand().
 # If not, this test is skipped.
 
-${PBM_TESTPREFIX}pgmnoise --testrandom
+testrandom
 
 case $? in
    81)
@@ -18,5 +18,5 @@ case $? in
         echo "Skipping: random number generator is not glibc." 1>&2
         exit 80;;
 
-   *)   exit 1;;  # pgmnoise --testrandom failed
+   *)   exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmforge.test b/test/ppmforge.test
index 014dc543..5ec37e9c 100644
--- a/test/ppmforge.test
+++ b/test/ppmforge.test
@@ -1,11 +1,10 @@
 #! /bin/bash
 # This script tests: ppmforge
-# Also requires: pgmnoise
 
 # Use small x y values to avoid floating point issues.
 
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Test 1: Should print: 3634219838 196623
@@ -16,5 +15,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmpat.test b/test/ppmpat.test
index 669cf17c..af0ce956 100755
--- a/test/ppmpat.test
+++ b/test/ppmpat.test
@@ -1,11 +1,10 @@
 #! /bin/bash
 # This script tests: ppmpat
-# Also requires: pgmnoise
 
 # TODO: Write tests for squig and poles.  It appears that they are
 # sensitive to differences in floating point math.
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
        # Test 1. Should print: 4008533639 781
@@ -31,5 +30,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac
diff --git a/test/ppmrough.test b/test/ppmrough.test
index 1de8dd1b..92cc02d7 100644
--- a/test/ppmrough.test
+++ b/test/ppmrough.test
@@ -1,9 +1,8 @@
 #! /bin/bash
 # This script tests: ppmrough
-# Also requires: pgmnoise
 
 
-${PBM_BINPREFIX}pgmnoise --testrandom --quiet
+testrandom -q
 case $? in
    81)
       # Should print: 378403602 30015
@@ -14,5 +13,5 @@ case $? in
        echo "Skipping: random number generator is not glibc." 1>&2
        exit 80;;
 
-   *)  exit 1;;  # pgmnoise --testrandom failed
+   *)  exit 1;;  # testrandom failed
 esac